@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

@font-face { 
  font-family: 'Hatton'; 
  src: url('../fonts/PPHatton-Ultralight.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

html { 
  scroll-behavior: smooth; /*desliza suavemente quando executa o menu*/
  scroll-padding-top: var(--custom_height_menu); /* Adiciona um espaçamento no topo igual à altura do menu */
}

:root {
  font-size: 16px;
  --custom-color1: #e9dcd2; /* Bege claro */
  --custom_color2: #efe9e4; /* Bege mais escuro */
  --custom_color3: #4e442e;
  --background:  #efe9e4; /* Cor de fundo bege claro */
  --custom_height_menu: 2.6875rem;/*altura do menu*/
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  background: var(--backgroud);
}

body.fade-in {
  opacity: 0; 
  transition: opacity 1s ease-in-out;
} 

body.loaded.fade-in {
  opacity: 1; 
}

.content {
  padding: 20px; 
  text-align: center;
}

a {
  color: var(--custom_color3);
  text-decoration: none;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--custom-color1);
  height: var(--custom_height_menu); /* Altura da barra de menu*/
  padding: 0.7rem;
  position: fixed;
  top: 0; /* Alinha ao topo da página */ 
  width: 100%; /* Ocupa toda a largura da página */ 
  z-index: 1000; /* Garante que o menu fique acima do conteúdo */
}

.nav { 
  display: flex; 
  justify-content: space-between; 
  align-items: center; 
  padding: 5px 10px; /* Diminui o padding */ 
  height: 2px; /* Diminui a altura */ 
  color: #4e442e; 
}

.logo {
  font-size: 1.5rem;
  font-weight: italic;
}

.menu {
  list-style: none;
  display: flex;
  gap: 0.5rem;
}

.menu a {
  display: block;
  padding: 0.7rem; /*tamanho do botão ao ser clicado*/
  border-radius: 0.0rem; /*bordas arredondadas do botao*/
}

.menu a:hover {
  background: var(--custom_color2);
}

.btn-menu {
  display: none;
}

@media (max-width: 600px) {
  .menu {
    display: block;
    position: absolute;
    top: var(--custom_height_menu); /* tem que ter a mesma medida .header height*/
    left: 0;
    background: var(--custom-color1);
    text-align: center;
    width: 100%;
    height: 0;
    z-index: 1;
    visibility: hidden;
    overflow-y: hidden;
    transition: 0.5s;
  }
  .menu a {
    padding: 1rem 0;
    margin-inline: 1rem;
    border-bottom: 0.0625rem solid rgba(0, 0, 0, 0.16);
    border-radius: 0;
  }
  .btn-menu {
    background: none;
    border: none;
    font: inherit;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--custom_color3);
    padding: 1rem 0;
    cursor: pointer;
  }
  .hamburger {
    border-top: 0.125rem solid;
    width: 1.25rem;
  }
  .hamburger::after,
  .hamburger::before {
    content: " ";
    display: block;
    width: 1.25rem;
    height: 0.125rem;
    background: currentColor;
    margin-top: 0.3125rem;
    position: relative;
    transition: 0.3s;
  }
  .nav.active .menu {
    height: auto;  /*largura do menu automática*/
    /*height: calc(70.7vh - 4.6875rem)*/  /*largura do menu fixa*/
    visibility: visible;
    overflow-y: auto;
  }
  .nav.active .hamburger {
    border-top-color: transparent;
  }
  .nav.active .hamburger::before {
    transform: rotate(135deg);
  }
  .nav.active .hamburger::after {
    transform: rotate(-135deg);
    top: -0.4375rem;
  }
}

body {
    font-family: 'Roboto', sans-serif;
}

a {
    text-decoration: none;
    color: inherit;
}

.btn {
    display: inline-block;
    padding: 15px 30px;
    font-size: 1.rem;
    font-weight: bold;
    text-transform: uppercase;
    background: #e9dcd2;
    color: #4e442e;
    border-radius: 5px;
    transition: background 500ms ease;
}

.btn:hover {
    cursor: pointer;
    background: #4e442e;
    color: #e9dcd2;
}


.apresentation {
    display: flex;
    flex-direction: column-reverse;
    align-items: stretch;
   /* max-width: 1800px;*/
    margin: 0 auto;
    justify-content: center;
    flex-direction: column-reverse;
}

.content-apresentation {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center; /* Centraliza verticalmente */
    background-color: #efe9e4;
    padding: 20px;
  /*  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/   /*Sombra entre artigos*/
    border-radius: 8px;
    color: #4e442e;
}

.image-container-apresentation {
    width: 100%;
    max-width: 500px;
    margin-bottom: 30px;
} 

.image-container-apresentation2 {
  width: 100%;
  max-width: 300px;
  margin-top: 30px; 
  margin-right: 30px;
  margin-bottom: 30px;
  margin-left: 80px;
} 

.image-apresentation {
  max-width: 100%;
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
  margin: 0 auto;
}

.text-container-apresentation {
  margin-bottom: 30px;
}

.text-container-apresentation h1 {  /*controla a fonte do título da apresentação h1*/
  text-align: center;
  font-size: 42px;
  font-family: 'Hatton';
  margin-bottom: 2rem; /* Espaço entre o título e o texto */
}

.text-container-apresentation h2 {  /*controla a fonte do título da apresentação h2*/
  text-align: left;
  font-size: 22px;
  font-weight:normal;
  font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
}

.text-container-apresentation p {  /*controla a fonte do título da apresentação p*/
  text-align: left;
  font-size: 16px;
}

@media (min-width: 768px) { 
.content-apresentation { 
  flex-direction: row;
  text-align: left;
  align-items: center; /* Adicionado para alinhar no topo */
} 
.image-container-apresentation {
  margin-right: 20px;
  margin-bottom: 0;
} 
.text-container-apresentation {
  max-width: 500px;
}
}




.apresentation-article {
  display: flex;
  flex-direction: column-reverse;
  align-items: stretch;
 /* max-width: 1800px;*/
  margin: 0 auto;
  justify-content: center;
  flex-direction: column-reverse;
}

.content-apresentation-article {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; /* Centraliza verticalmente */
  background-color: #efe9e4;
  padding: 20px;
/*  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/   /*Sombra entre artigos*/
  border-radius: 8px;
  color: #4e442e;
}

/* Vídeo com cantos arredondados */
.content-apresentation iframe {
  border-radius: 20px;
  overflow: hidden;
  display: block;
}

/* Vídeo com cantos arredondados */
.video-wrapper {
  width: 360px;
  height: 600px;
  overflow: hidden;
  border-radius: 20px;
  position: relative;
}

.video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: none;
}



.image-container-apresentation-article {
  width: 100%;
  max-width: 500px;
  margin-bottom: 30px;
} 


.image-apresentation-article {
max-width: 100%;
width: 60%;
height: auto;
display: block;
border-radius: 10px;
margin: 0 auto;
}

.text-container-apresentation-article {
margin-bottom: 30px;
}

.text-container-apresentation-article h1 {  /*controla a fonte do título da apresentação h1*/
text-align: center;
font-size: 42px;
font-family: 'Hatton';
margin-bottom: 0.5rem; /* Espaço entre o título e o texto */
}

.text-container-apresentation-article h2 {  /*controla a fonte do título da apresentação h2*/
text-align: left;
font-size: 22px;
font-weight:normal;
font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
}

.text-container-apresentation-article p {  /*controla a fonte do título da apresentação p*/
text-align: left;
font-size: 16px;
margin-top: 0px;
}

@media (min-width: 768px) { 
.content-apresentation-article { 
flex-direction: row;
text-align: left;
align-items: center; /* Adicionado para alinhar no topo */
} 
.image-container-apresentation-article {
margin-right: 20px;
margin-bottom: 0;
} 
.text-container-apresentation-article {
max-width: 500px;
}
}







.headline {
    font-size: 2.2rem;
 /*  text-transform: uppercase;*/
    font-weight: bold;
    text-align: center;
    padding-bottom: 30px;
    letter-spacing: 2px;
    font-family:'Hatton';
}

/* Navbar 
#navbar {
    width: 100%;
    background: #111;
    color: #f50000;
    height: 80px;
    position: fixed;
}

#navbar-container {
    width: 80%;
    height: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    font-size: 2rem;
}

#navbar-items {
    display: flex;
    list-style: none;
    text-transform: uppercase;
}

#navbar-items li {
    padding: 10px;
}
*/

/* Showcase */
#showcase {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #eee;
    background: url("../img/showcase2.jpg") no-repeat center center;

    /* Overlay */
    background-color: rgba(0, 0, 0, 0.5);
    background-blend-mode: color;
}

#showcase-container {
    text-align: center;
}

#showcase-container h2 {
    font-size: 2.5rem;
}

#showcase-container p {
    font-size: 1.2rem;
    padding: 7px 0;
}


/* Showcase2 */
#showcase2 {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #eee;
  background: url("../img/testemonial.jpg") no-repeat center center;

  /* Overlay */
  background-color: rgba(0, 0, 0, 0.5);
  background-blend-mode: color;
}

#showcase2-container {
  text-align: center;
}

#showcase2-container h1 {
  font-family: Arial;
  font-size: 0.7rem;
}

#showcase2-container h2 {
  font-size: 3.5rem;
  font-weight: bold;
}

#showcase2-container p {
  font-size: 1.6rem;
  padding: 7px 0;
}


/* Clients */
#clients {
    width: 100%;
    background: #efe9e4;
    color: #111;
    padding: 50px;
}

#clients-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-items: center;
    padding: 15px;
}

.client {
    display: inline-block;
    width: 50%; /*Tamanho da imagem do parceiro*/
}

/* About */
#features {
    width: 100%;
    background: #e9dcd2;
    color: #4e442e;
    padding: 50px;
}

#features-container {
    width: 100%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 50px;
}

.feature {
    display: flex;
    flex-direction: column;
    background: #c9b6ad;
    padding: 20px;
    border-radius: 5px;
    }

.feature-title {
    font-size: 1.5rem;
    font-weight: bold;
}

/* Product */
#product {
    width: 100%;
    padding: 50px;
    background-color: #efe9e4;
    color:#4e442e
}

#product-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

#items {
    width: 650px;
}

#items .item {
    display: flex;
    padding: 10px;
    margin: 15px 0;
    font-size: 1.2rem;
}
#items .item i {
  margin-right: 20px;
}
#product-container img {
  border-radius: 8px;
  width: 230px;
}

/* Testimonials - O que acham de nós*/
.testimonial {
    display: flex;
    align-items: center;
    font-size: 1.2rem;
    background: #e9dcd2;
    padding: 15px;
    margin: 15px 0;
    border-radius: 5px;
}

#testimonials {
    width: 100%;
    background: #efe9e4;
    color:#4e442e;
    padding: 50px;
}

#testimonials-container {
    width: 80%;
    margin: auto;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.testimonial .testimonial-image {
    height: 200px;
    width: auto;
    border-radius: 8%;
    margin: 15px;
}






/* Container de Artigos */
#article-container { width: 100%; /* Ajusta a largura do container ao máximo */ 
  max-width: 1000px auto; 
  margin: 0; /* Remove a margem externa */ 
  padding: 0; /* Remove o preenchimento externo */ 
  display: grid; 
  grid-template-columns: repeat(3, 1fr); /* 3 colunas no desktop */ 
  gap: 15px; /* Reduz o espaço entre os artigos */ }

/* Article - Artigos */
.article {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  background: #c9b6ad;
  padding: 8px;
  margin: 10px 0;
  border-radius: 8px;
  text-align: center;
  width: 100%; /* Ajusta a largura ao grid */
}

.article p {
  font-size: 90%;
  text-align: center;
}

#article {
  width: 100%;
  background: #e9dcd2;
  color: #4e442e;
  padding: 50px;
}

.article .article-image {
  height: 250px;
  width: auto;
  border-radius: 5%;
  margin: 10px auto; /* Centraliza a imagem */
}

/* Estilos para dispositivos móveis */
@media (max-width: 600px) {
  #article-container {
    grid-template-columns: 1fr; /* 1 coluna no mobile */
  }
  .article {
    width: 100%;
    margin: 0 auto;
  }
  .article .article-image {
    width: 100%;
    height: auto;
    margin-bottom: 15px;
  }
  .article p {
    font-size: 1.4rem;
  }
  .article h1 {
    font-size: 1.7rem;
    text-transform: uppercase;
  }
}




/* Gallery */
#gallery {
    width: 90%;
    background: #efe9e4;
    color: #1f1919;
    margin: auto;
    padding: 50px;
}

#gallery-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 30px;
    justify-items: center;
}

.gallery-image {
    display: inline-block;
    width: 540px;
    height: 360px;
    border-radius: 5px;
}

.academic { 
  display: flex; 
  flex-wrap: wrap; 
  gap: 20px; 
  background-color: #efe9e4; 
  color: #4e442e;
  border: 0px solid #ddd;
  padding-top: 0px; 
  padding-bottom: 40px; 
  padding-left: 50px;
  padding-right: 50px;
  border-radius: 8px;
  /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/
}

.academic .image { 
  max-width: 400px; 
  width: 100%;
  height: auto; 
  border-radius: 8px; 
  float: left; 
  margin-right: 20px; 
  margin-bottom: 10px; 
} 

.academic p { 
  flex: 1; 
  text-align: justify; 
  margin: 0; 
}

/* Rodapé */
#footer {
    background: #c9b6ad;
    color: #4e442e;
    padding: 30px;
    text-align: center;
}

